/* $HeadURL$
* $LastChangedRevision$
* $LastChangedDate$
* $LastChangedBy$
*
* Description: Deklarationen fr den Uhrbetrieb
* 
* 
*/

/*
Copyright (C) 2012 G. Herzig / DH8GHH

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License,
or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>
*/
#ifndef MAIN_H
#define MAIN_H

#define F_CPU 12000000

// Enum fr den Anzeigemodus
typedef enum
{
	MenuMode_None,		// Normalbetrieb
	MenuMode_Alarm,		// Men Alarm aktiv
	MenuMode_Set,		// Men Set-bersicht aktiv
	MenuMode_SetItem,	// Men Set-Item aktiv
	MenuMode_Disp		// Men Disp aktiv
} MenuMode_t;

// Settings-Version. Incrementieren, wenn an der Struct was gendert wird
#define SETTINGS_VERSION 2

// Struktur fr die abgespeicherten Daten. Bei nderung, das define SETTINGS_VERSION ndern
typedef struct
{
	uint8_t Version;		// Versionskennung der Speicherstruktur
	bool  AlarmMode;		// AlarmMode
	uint8_t AlarmStd;		// Alarm Stunde
	uint8_t AlarmMin;		// Alarm Minute
	int8_t UtcOffset;		// UTC Offset
	bool UtcMode;			// UTC Mode
	uint8_t LDR;			// LDR-Offset
	bool SyncSound;			// "Np" Sound wenn DCF signal aktiv
} Settings_t;

extern Settings_t Settings;	// Settings bekannt machen

#endif // MAIN_H